/*
 * Default provider
 */

import Vue from 'vue'
import { mapGetters } from 'vuex'

export default Vue.extend({
  provide() {
    let self = this
    return {
      _general_selected_country_id: function() {
        return self.$helpers.getValue(self.getAppLocationCountry, 'countryId')
      },
      _member_country_id: function() {
        return self.$helpers.getValue(self.getMemberDetails, 'country_id')
      },
      _shipping_methods_allow_save_shipping_address: function() {
        return true
      },
    }
  },
  computed: {
    ...mapGetters(['getSelectedCountry', 'getAppLocationCountry', 'getMemberDetails']),
  },
})
